pjf

The Comprehensive Kerbal Archive Network (CKAN) Package Manager; v1.18.0 [19 June 2016]

Recommended Posts

In the future please avoid going to the authors for CKAN-related issues. It's our problem, not theirs.

Oh, and please open a ticket for that, someone will take care of it as soon as we have the time.

Fair enough, although if posting here is not enough I'll stop posting here too.

Share this post


Link to post
Share on other sites
I don't know if it's been requested already, but is there any way CKAN can be made to check if there are updates available for CKAN itself? I installed 1.55 when it was the latest version, and only today discovered it was now up to version 1.62.

Hey, you are the first person to request this feature (seriously!). Actually we found this idea so novel that we decided to implement it immediately.

So.. CKAN v1.6.3 is available now with auto-updates :)

Edited by nlight

Share this post


Link to post
Share on other sites
Fair enough, although if posting here is not enough I'll stop posting here too.

Hi John. I'm sorry, I didn't mean to sound rude: I was just really really in a hurry (as it's usual for me these days).

The thing with forum posts is that we miss a lot of them. That's why we really prefer when people open an issue on github: it might stay there a lot, but it won't get lost. When we have some spare time, we get working on the open issues, not on forum posts :)

Share this post


Link to post
Share on other sites

EDIT: Ignore this, I hadn't read the entire thread. I'm becoming one of those people.

Edited by xxjetterxx

Share this post


Link to post
Share on other sites
Hey, you are the first person to request this feature (seriously!). Actually we found this idea so novel that we decided to implement it immediately.

So.. CKAN v1.6.3 is available now with auto-updates :)

Wow.. fast work! :cool:

Many thanks.. don't think I could live without CKAN now.

Share this post


Link to post
Share on other sites

The GUI is really broken on Mac. Non-retina machine, OS X 10.9.5, Mono 3.12.0, CKAN 1.6.0. Lots of repaint problems. On launch, the Manage Mods tab doesn't fully render; when you click a checkbox it switches to the Changeset tab, but doesn't render the bottom part properly, so you have to switch back to Manage Mods (which IMO it should have stayed on in the first place). Functionally it seems okay.

Share this post


Link to post
Share on other sites

The changelog for 1.6.2 says:

The GUI now remembers its window position and size between program restarts
but this doesn't seem to be working (1.6.5). No matter how I leave the window sized or positioned, the next time I open it, it's back to the default size and position. Certainly there's nothing related to size/position in GUIConfig.xml, where I'd have expected to see the setting saved.

Share this post


Link to post
Share on other sites
The GUI is really broken on Mac. Non-retina machine, OS X 10.9.5, Mono 3.12.0, CKAN 1.6.0. Lots of repaint problems. On launch, the Manage Mods tab doesn't fully render; when you click a checkbox it switches to the Changeset tab, but doesn't render the bottom part properly, so you have to switch back to Manage Mods (which IMO it should have stayed on in the first place). Functionally it seems okay.

I'm sorry, this is due to numerous implementation bugs in Mono, nothing we can do really except rewrite the GUI in something like GTK+. This is something that will happen only if we get twice as many contributors as we have now.

The changelog for 1.6.2 says:

but this doesn't seem to be working (1.6.5). No matter how I leave the window sized or positioned, the next time I open it, it's back to the default size and position. Certainly there's nothing related to size/position in GUIConfig.xml, where I'd have expected to see the setting saved.

I've implemented a fix upstream for this, the settings should now be saved in GUIConfig.xml, try the latest nightly build or wait for 1.6.6.

Share this post


Link to post
Share on other sites

Can't get it to work. Failed to download github.com/ClawKSP/KSP-Stock-Bug-Fix-Modules/releases/download/v0.1.7e/StockBugFixModules v0.1.7e.zip -error. The file name has changed so CKAN aborts and does nothing !

There should be an option to make in install all the other selected mods and just skip the bad one in can't find it. Letting you know which mods needed it. That way users to manually go and hunt the file.

At present I think if this happens you need to manually install every mod because CKAN aborts install every time.

EDIT: Creating a file in the CKAN directory still will not help. This error has totally screwed CKAN for now.

Edited by nobodyhasthis

Share this post


Link to post
Share on other sites
Can't get it to work. Failed to download github.com/ClawKSP/KSP-Stock-Bug-Fix-Modules/releases/download/v0.1.7e/StockBugFixModules v0.1.7e.zip -error. The file name has changed so CKAN aborts and does nothing !

There should be an option to make in install all the other selected mods and just skip the bad one in can't find it. Letting you know which mods needed it. That way users to manually go and hunt the file.

At present I think if this happens you need to manually install every mod because CKAN aborts install every time.

EDIT: Creating a file in the CKAN directory still will not help. This error has totally screwed CKAN for now.

This issue is fixed now.

Share this post


Link to post
Share on other sites
This issue is fixed now.

Bless you !!!!

Still perhaps a good idea for a future change the automatic abort to a yes / no choice. With a warning that some mods might also need the missing file. In this case the file name was correct but CLAW had to revert back to a more stable version of the mod due to an error in the new release.

Share this post


Link to post
Share on other sites

When I run refresh and check my filter list I see:

All: 447

Installed: 93

Updated: 4

New in repository: 505

Not installed: 412

Incompatible: 58

And I see this every time I start CKAN

So "New in repository" = "Not installed" + "Installed" (and "All" + "Incompatible")

"All" is only showing "Compatible mods"

Sorry this does NOT make any sense.

I recommend changing

"All" should be showing 505 (All the mods)

New Line "Compatible" showing 447 (Current all)

"New in Repository" should only be "Any New Mods Since The Last Time I Check For Mod Updates"

Right now there is no way for me to see what new mods have been added to CKAN unless I read through all the Not Installed mods and hope I spot something.

Thanks,

Share this post


Link to post
Share on other sites

So it's been a long time since I've started up CKAN and so I try to update ActiveTextureManagement.

But apparently it's been split into multiple mods. So every time I try to install any one of them, it keeps telling me:


The following inconsistencies were found:
ActiveTextureManagement-x64-Basic wishes to install GameData/ActiveTextureManagement/ActiveTextureManagerConfig.cfg, but this file is registered to ActiveTextureManagement

..and ActiveTextureManagement 1.0_x86 keeps getting added into the installed-default.ckan file even though there's no ActiveTextureManagement folder inside GameData. It's as if CKAN was haunted, and repairing the registry does absolutely nothing and no matter how many times I try to remove the ghost mod, it keeps coming back into the registry file.

EDIT: Fixed it! All I needed to do was remove the ATM folder from GameData and do the command ckan scan.

Edited by longbyte1

Share this post


Link to post
Share on other sites

I'm running Ubuntu 14.04 and it seems that CKAN does not work unless I run it as root.

If I try to run it normally it cannot connect to the repository and if I try to rely on the already available list of mods, they cannot be installed: it stalls at "About to remove:" and does nothing.

Share this post


Link to post
Share on other sites

My KSP doesn't seem to load...

- - - Updated - - -

ALSO WHY DOES INSTALLING TACLS MAKE IT INSTALL WHOLE REALISM OVERHAUL?!!!

- - - Updated - - -

AND REAL FUELS?

- - - Updated - - -

AND RSS?

Share this post


Link to post
Share on other sites
ALSO WHY DOES INSTALLING TACLS MAKE IT INSTALL WHOLE REALISM OVERHAUL?!!!

AND REAL FUELS?

AND RSS?

First, Please dont use all CAPS.

Second, I figured it was just recommends, so I checked also...

Nope... When I tell CKAN to install TAC (LS) v0.10.2b,

It also wants to install 8 other mods. DESPITE the fact that the relationships screen of the mod manager do not list any dependencies..

It wants to also install:

Realism Overhaul, TacLS RO config, Advance Jet Engine, Crossfeed Enabler, Kerbal Joint Reinforcement, Real Fuels, RSS, RSS textures.

Looks like something is bugged in the requirements list. A check of TACLS does not show any requirements other than the Modual Manager

Share this post


Link to post
Share on other sites

There are two config packages for TAC LS, one for the stock configuration and one for realism overhaul. One of those is required and if you don't manually select one it will default to the RSS config. And that pulls in RSS and several others as dependencies.

So manually select TAC Life Support and the TAC Life Support Stock Config.

Share this post


Link to post
Share on other sites
So manually select TAC Life Support and the TAC Life Support Stock Config.

That's what I did just now.. and it wanted to install all the realism overhaul items. When I selected to only install the TAC Life Support Stock Config, CKAN added the base TAC Life Support item by itself and got things right. Manually selecting the two items you mention, leads to the problem BLackHat describes above.

Share this post


Link to post
Share on other sites

I have just attempted to install CKAN on my OSX machine.

I looked for the posted directions and followed them - no positive result.

How EXACTLY (and with specific commands / steps are required) do I to enable CKAN to operate it within OS X. I get the general impression that the authors of this fantastic mod are inferring that all KSP users are completely and fully versed in operating system command line usage, etc. I think there needs to be some slightly better install and use docs.

Thanks for listening.

Share this post


Link to post
Share on other sites
I have just attempted to install CKAN on my OSX machine.

I looked for the posted directions and followed them - no positive result.

How EXACTLY (and with specific commands / steps are required) do I to enable CKAN to operate it within OS X. I get the general impression that the authors of this fantastic mod are inferring that all KSP users are completely and fully versed in operating system command line usage, etc. I think there needs to be some slightly better install and use docs.

Thanks for listening.

I assume that you run the latest version of OS X and that your standard download folder is Downloads.

Have you installed the latest release of Mono? http://www.mono-project.com/download/#download-mac <--download and click the file and then accept terms etc to get it.

Have you downloaded the latest release of ckan? https://github.com/KSP-CKAN/CKAN/releases <--download the ckan.exe

If you have not already done the 2 above steps, do them now.

Press Cmd+Space --> Write "Terminal" --> Press Enter

A terminal window now opens

Write "cd Downloads/" and press enter

Write "mono ckan.exe" and press enter

CKAN should now start, push the "Refresh" button and it connects to the repository to check for the list of mods and then you're good to go.

Share this post


Link to post
Share on other sites

CKAN seems to be having issues keeping some mods up to date. Specifically, new .ckan metadata is not being built for new versions. KSP-AVC sees the updates, but not CKAN. Short list: NavyFish's DPAI, QuickScroll and QuickSearch. I've been waiting days for it to recognize the Quick* mods have an update.

Take QuickSearch. 1.0 is the latest here: https://github.com/KSP-CKAN/CKAN-meta/tree/master/QuickSearch

Although it's down at the moment, https://kerbalstuff.com/mod/472/QuickSearch shows a 1.1 version from about 2 days ago.

Hope that can be resolved, because if my users end up with old versions of my stuff, I just can't recommend they use CKAN for it, at the moment. Nothing like having bugs reported that you've already fixed because someone has an old version. Luckily, I have every confidence you'll find the problem. It has a few issues, but I see some good work being done. :)

Share this post


Link to post
Share on other sites

I have tried reinstalling Ckan multiple times, and I tried release, I tried prerelease, but it just won't appear. when it does, it can't connect to repositories.

please help. I am on windows.

Share this post


Link to post
Share on other sites
I have tried reinstalling Ckan multiple times, and I tried release, I tried prerelease, but it just won't appear. when it does, it can't connect to repositories.

please help. I am on windows.

So the program do start at times or never?

Just to give everything a clean slate and eliminate as many problems as possible. Go into the KSP directory and remove the CKAN folder, put the ckan.exe (latest version, 1.6.5 at the time of this post) inside the KSP directory and start it from there. If the GUI shows up but can't find a repository then click on Settings -> CKAN-settings->Click on "New" under repositories->choose the Amsterdam mirror->Try to refresh again.

Share this post


Link to post
Share on other sites
So the program do start at times or never?

Just to give everything a clean slate and eliminate as many problems as possible. Go into the KSP directory and remove the CKAN folder, put the ckan.exe (latest version, 1.6.5 at the time of this post) inside the KSP directory and start it from there. If the GUI shows up but can't find a repository then click on Settings -> CKAN-settings->Click on "New" under repositories->choose the Amsterdam mirror->Try to refresh again.

I haven't tried downloading mods, but so far it works! I had Ckan in the downloads folder, might that be the problem.

Share this post


Link to post
Share on other sites
I haven't tried downloading mods, but so far it works! I had Ckan in the downloads folder, might that be the problem.

Could be the problem yes, it seems to work for some people and not for others. Not sure why but sticking the ckan.exe into the KSP directory seems to resolve many of the "mysterious" problems.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.